GrailsApplicationCommand (Grails 6.0.0)

Package: grails.dev.commands

## [Groovy] Trait GrailsApplicationCommand

- grails.dev.commands.GrailsApplicationCommand

- All Implemented Interfaces and Traits:
    ApplicationCommand, ModelBuilder

      @groovy.transform.Trait
      trait GrailsApplicationCommand
      extends java.lang.Object
      implements ApplicationCommand, ModelBuilder

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private ExecutionContext` | `executionContext` |
    `private grails.dev.commands.io.FileSystemInteraction` | `fileSystemInteraction` |
    `private TemplateRenderer` | `templateRenderer` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ExecutionContext` | `executionContext`
    `grails.dev.commands.io.FileSystemInteraction` | `fileSystemInteraction`
    `TemplateRenderer` | `templateRenderer`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.List<java.lang.String>` | `getArgs()`
    `` | `boolean` | `handle(ExecutionContext executionContext)`
    `` | `abstract boolean` | `handle()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private ExecutionContext executionContext

    - #### @groovy.lang.Delegate private grails.dev.commands.io.FileSystemInteraction fileSystemInteraction

    - #### @groovy.lang.Delegate private TemplateRenderer templateRenderer

  - ### Property Detail

    - #### ExecutionContext executionContext

    - #### @groovy.lang.Delegate grails.dev.commands.io.FileSystemInteraction fileSystemInteraction

    - #### @groovy.lang.Delegate TemplateRenderer templateRenderer

  - ### Method Detail

    - #### java.util.List<java.lang.String> getArgs()

    - #### boolean handle(ExecutionContext executionContext)

    - #### abstract boolean handle()